---
title: RTCRtpStreamStats.sliCount
slug: Web/API/RTCRtpStreamStats/sliCount
tags:
  - API
  - Media
  - Packet
  - Property
  - RTCRtpStream
  - RTP
  - Reference
  - Reliability
  - SLI
  - Slice Loss Indication
  - Transmisison
  - WebRTC
  - WebRTC API
  - compression
  - rtc
  - sliCount
  - slice
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The <strong><code>sliCount</code></strong> property of the {{domxref("RTCRtpStreamStats")}} dictionary indicates how many <strong>Slice Loss Indication</strong> (<strong>SLI</strong>) packets were received by the sender.</span> An SLI packet is used by a decoder to let the encoder know that it's detected corruption of one or more consecutive macroblocks in the received media.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>sliCount</em> = <em>RTCRtpStreamStats</em>.sliCount;</pre>

<h3 id="Value">Value</h3>

<p>An unsigned long integer indicating the number of SLI packets the sender received from the receiver due to lost runs of macroblocks. A high value of <code>sliCount</code> may be an indication of an unreliable network.</p>

<p>For technical details, see {{RFC(4585, "6.3.2")}}.</p>

<div class="note">
<p><strong>Note:</strong> This value is sent by the sender to the receiver and is only present for video media.</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC Statistics Identifiers', '#dom-rtcinboundrtpstreamstats-slicount', 'RTCInboundRtpStreamStats: sliCount')}}</td>
   <td>{{Spec2('WebRTC Statistics Identifiers')}}</td>
   <td>Initial definition.</td>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC Statistics Identifiers', '#dom-rtcoutboundrtpstreamstats-slicount', 'RTCOutboundRtpStreamStats: sliCount')}}</td>
   <td>{{Spec2('WebRTC Statistics Identifiers')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCRtpStreamStats.sliCount")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{RFC(4585, "6.3.2")}}: Definition of "Slice Loss Indication" in the document <em>Extended RTP Profile for Real-time Transport Control Protocol (RTCP)-Based Feedback (RTP/AVPF)</em>.

 </li>
</ul>
